Mobileread
KOReader and Onyx Boox Note
#1  downeaster59 04-18-2018, 05:02 PM
I have installed KOReader on my new Onyx Boox Note. The Note is an E-Ink device that runs Android 6.0.1. The version I now have that works is 2015.11-507-gef260f0.

I list that for reference, if anyone else with a Note wants to install KOReader. I tried installing various nightlies from the last couple of years, but each one failed to install. The Note has a quad-core ARM chip, so I used the ARM KOReader version.

I don't know if there are enough people of "Note" who want KOReader to make it worthwhile for the devs to make any necessary changes in the newest betas so that they will install with the Note. If any of them are out there, they can speak up!

The version of KOReader that I do have works well, however. Books look better on it than on AlReader, IMHO!
Reply 

#2  Frenzie 04-19-2018, 05:04 AM
That's most peculiar. Android isn't entirely hunky dory (mainly due Android itself) but two years ago the situation was a lot worse.

Does adb logcat give any error messages that could be useful on a recent nightly?
Reply 

#3  downeaster59 04-19-2018, 07:41 AM
Well, Onyx does a few peculiar things to Android when they put together their firmware!

I'll try to install a recent nightly again today and then do adb logcat. I can then report any error messages. Thanks.

Edit: For convenience's sake, I tried the installation through adb, and then ran a logcat. This seems to be the relevant part of the logcat:

04-19 08:05:09.845 2737 2747 D DefContainer: Copying /data/local/tmp/koreader-android-arm-linux-androideabi-v2015.11-1654-g666c9f1_2018-04-12.apk to base.apk
04-19 08:05:10.365 609 634 W PackageManager: Package org.koreader.launcher signatures do not match the previously installed version; ignoring!
04-19 08:05:11.298 609 634 I art : Starting a blocking GC Explicit
04-19 08:05:11.312 609 2079 I ActivityManager: Killing 1674:com.onyx.android.production.test/u0a43 (adj 15): empty #17
04-19 08:05:11.378 609 634 I art : Explicit concurrent mark sweep GC freed 40503(2MB) AllocSpace objects, 8(144KB) LOS objects, 33% free, 8MB/12MB, paused 1.501ms total 80.229ms
04-19 08:05:11.381 2757 2757 I sh : type=1400 audit(0.0:77): avc: denied { read } for name="lib" dev="mmcblk0p13" ino=13 scontext=u:r:shell:s0 tcontext=ubject_r:unlabeled:s0 tclass=lnk_file permissive=1
04-19 08:05:11.381 2728 2728 I art : System.exit called, status: 1
04-19 08:05:11.381 2728 2728 I AndroidRuntime: VM exiting with result code 1.
04-19 08:05:11.388 191 191 E SurfaceFlinger: App die 1674 0
04-19 08:05:15.002 609 609 E PowerManager: WakeLock under-locked: *alarm*
04-19 08:05:16.990 2330 2451 V ClClient: SEND(13) KeepAliveRequest_4{} UID:8d73ecd2-739c-42e4-a2bd-2f73aa312e7c
04-19 08:05:17.025 609 1849 I MediaFocusControl: AudioFocus abandonAudioFocus() from android.media.AudioManager@705ce5eco...music.M ediaPlaybackService$3@d0db23f
04-19 08:05:17.027 609 717 I ActivityManager: Killing 1019:com.onyx.music/u0a52 (adj 15): empty #17
Reply 

#4  Frenzie 04-19-2018, 09:53 AM
Signatures not matching means you have to uninstall the previous package before installing the new one. I don't know who signed the old packages or how but it's a different key than the one from our regular build server.

I thought you meant it failed to run, sorry about the misunderstanding.
Reply 

#5  citytrader 04-19-2018, 03:07 PM
I have been using the nightlys without any issue, maybe you should try this one:

http://build.koreader.rocks/download/nightly/v2015.11-1675-g9e4e71d_2018-04-19/koreader-android-arm-linux-androideabi-v2015.11-1675-g9e4e71d_2018-04-19.apk
Reply 

#6  downeaster59 04-19-2018, 03:30 PM
Quote Frenzie
Signatures not matching means you have to uninstall the previous package before installing the new one. I don't know who signed the old packages or how but it's a different key than the one from our regular build server.

I thought you meant it failed to run, sorry about the misunderstanding.
I should have caught that. Thanks. Old version uninstalled; latest beta installed flawlessly and now working flawlessly!
Reply 

#7  serdar0020 05-18-2019, 05:16 AM
I'm looking for a replacement of the old 2013 Kobo Aura (6" flush bezel) with 64 GB ext. SD card (which is still working fine but I'd like a better processor, and I need 64 GB for my huge pdf's) and I've come across the Onyx boox monte cristo 4 - but there's very little information about it. Any ideas? Is this compatible with KOreader? Rockchip processor? Can you expand the ext. SD card to 64 GB?
Reply 

Today's Posts | Search this Thread | Login | Register